<?php
require_once(WCF_DIR.'lib/data/user/option/UserOptionOutput.class.php');
require_once(WCF_DIR.'lib/data/user/User.class.php');

/**
 * @author	Björn Birkholz
 * @contact	bjoern@bohramt.de
 * @package	de.bohramt.useroption.steamid
 */

class UserOptionOutputSteamID implements UserOptionOutput {
	/**
	 * @see UserOptionOutput::getShortOutput()
	 */
	public function getShortOutput(User $user, $optionData, $value) {
		if (empty($value)) return '';
		return '  
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
	<script type="text/javascript" src="'.RELATIVE_WCF_DIR.'lib/data/user/steamprofile/ajax/steamprofile.min.js"></script>
	
	
	<div class="steamprofile" title="'.StringUtil::encodeHTML($value).'"></div>
		';

	}
	
	/**
	 * @see UserOptionOutput::getMediumOutput()
	 */
	public function getMediumOutput(User $user, $optionData, $value) {
		return $this->getOutput($user, $optionData, $value);
	}
	
	/**
	 * @see UserOptionOutput::getOutput()
	 */
	public function getOutput(User $user, $optionData, $value) {
	    if (empty($value)) return '';
	    return '  
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
	<script type="text/javascript" src="'.RELATIVE_WCF_DIR.'lib/data/user/steamprofile/ajax/steamprofile.min.js"></script>
	
	
	<div class="steamprofile" title="'.StringUtil::encodeHTML($value).'"></div>
	    ';
	}
}

?>